<? //arquivo de exemplo da classe eveQuery
/*
eveQuery: Classe para interao com banco de dados

-----------------------------------------------------

Desenvolvido por Everton da Rosa.
Licena GNU (www.gnu.org).

-----------------------------------------------------

eveQuery  uma classe PHP para interao com banco de dados.
Verso 1.2 (17 de novembro de 2007)
Banco de dados suportados: mysql
Funes: conexo, pesquisa

Futuro: suporte ao postgresql e a odbc

Para detalhes e ajuda complementar, consulte http://www.php.net/manual/pt_BR/index.php (manual em portugus do PHP)
Tpicos recomendados:
- Classes e Objetos (PHP 5): http://www.php.net/manual/pt_BR/language.oop5.php
- Variveis: http://www.php.net/manual/pt_BR/language.variables.php
- Funes do MySQL: http://www.php.net/manual/pt_BR/ref.mysql.php

Caso faa correes, melhorias ou modificaes, favor contatar o desenvolvedor atravs do e-mail everton3x@gmail.com enviando o cdigo para atualizao da classe nos sites onde ela se encontra hospedada.

Para exemplo de uso, veja o arquivo eveQuery.samples.php

Ao utilizar esta classe, por favor indique seu autor da seguinte forma:
-----------------------------------------------------
eveQuery: Classe para interao com banco de dados

Desenvolvido por Everton da Rosa (everton3x@gmail.com).
Licena GNU (www.gnu.org).
-----------------------------------------------------

Ao utilizar cdigo baseado nesta classe, por favor referencie da seguinte forma:
-----------------------------------------------------
Baseado na classe eveQuery: Classe para interao com banco de dados, desenvolvida por Everton da Rosa (everton3x@gmail.com) sob licena GNU (www.gnu.org).
-----------------------------------------------------

*/

require('eveQuery.php');
//instancia a classe como um objeto
$t = new eveQuery();


//exemplo de chamada de conexo com os parmetros padro
$con = $t->serverConnect();
echo 'Conexo com parmetros padro: '.$con;
unset($con);
echo '<hr>';

//exemplo de chamada de conexo com parmetros prprios
$parametros = array(
	'server' => 'localhost',
	'user' => 'root',
	'pw' => 'secret'
);
$con = $t->serverConnect('mysql',$parametros);
echo 'Conexo com parmetros configurados: '.$con;
unset($con);
echo '<hr>';

//exemplo de consulta com parmetros padro
$sql = "select * from produtores";
$q = $t->query($sql);
echo 'Nmero de linhas do resultado com pesquisa com parmetros padro: '.mysql_num_rows($q);
unset($q);
echo '<hr>';

//exemplo de consulta com parmetros prprios
$sql = "select * from produtores";
$q = $t->query($sql,'mysql',$parametros,$db='graos_teste');
echo 'Nmero de linhas do resultado com pesquisa com parmetros configurados: '.mysql_num_rows($q);
unset($q);
echo '<hr>';
unset($t);
?>